uniform sampler2D edgeTex;
uniform sampler2D lightTex;
uniform float near;
uniform float far;
varying vec2 texCoord;

void main() {
	float edgeColor = texture2D(edgeTex,texCoord).r;
	float lightColor = 1.0 - texture2D(lightTex,texCoord).r;
	gl_FragColor = vec4(max(edgeColor, lightColor));
} 